The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the List of Importable IPS and Reconnaissance Policies

Prev Next

This URL gets the list of importable IPS and reconnaissance policies.

Resource URL

PUT /domain/<domain_id>/ipsreconpolicy/import

Content-type value

multipart/form-data; boundary=<x>

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domainId Domain id Number Yes

Payload Request Parameters:

Field Name Description Data Type Mandatory
MultiPart Holds the body part objects Object Yes

Details of BodyPart[0]:

Field Name Description Data Type Mandatory
BodyPart[0] Holds the import file element object Application/json object Yes

Details of ImportFileElement:

Field Name Description Data Type Mandatory
fileName Name of the file String Yes
fileType File type should be "XML" String Yes
selectedPolicyNameList List of the names of the policy to be imported StringList No

Details of BodyPart[1]:

Field Name Description Data Type Mandatory
BodyPart[1] Holds the file as input stream Application/octet-stream Yes

Details of .xml file:

Field Name Description Data Type Mandatory
File Policy(file input stream) ByteArrayInput stream Yes

Response Parameters

Following fields are returned.

Field Name Description Data Type
PolicyDiffElementList Contains the list of the policy status when the policy present on XML is compared by the policy present on the Manager ObjectList

Details of fields in PolicyDiffElementList:

Field Name Description Data Type
PolicyDiffElement Difference between the policy present on the Manager and the XML file Object

Details of fields in PolicyDiffElement:

Field Name Description Data Type
policyId ID of the policy (-1 if not present on the Manager) String
policyName Name of the policy String
status Status of the policy when the policy on XML and Manager are compared String
outboundPolicyId Outbound ID of the policy (-1 if not present on the Manager) String
isOutbound If the policy is outbound Boolean
type If the policy is IPS (1) or reconnaissance (3) Number
import If the policy is importable (DISABLED if it is not importable) String

Example

Request

PUT https://<NSM_IP>/sdkapi/domain/0/ipsreconpolicy/import

Payload

Response

{
  "policyDiffElement": [
    {
      "status": "Exists and Not Identical",
      "policyName": "NSAT_AIWA_Blocking",
      "outboundPolicyId": "312",
      "isOutbound": false,
      "policyId": "312",
      "import": "UNCHECKED",
      "type": 1
    },
    {
      "status": "Exists and Identical",
      "policyName": "NSAT 7.1 Reconnaissance Policy",
      "isOutbound": false,
      "policyId": "301",
      "import": "DISABLED",
      "type": 3
    },
    {
      "status": "Exists and Not Identical",
      "policyName": "NSAT_AIWA_AlertNotf",
      "outboundPolicyId": "308",
      "isOutbound": false,
      "policyId": "309",
      "import": "UNCHECKED",
      "type": 1
    },
    {
      "status": "Exists and Not Identical",
      "policyName": "NSAT_AIWA_SB",
      "outboundPolicyId": "315",
      "isOutbound": false,
      "policyId": "316",
      "import": "UNCHECKED",
      "type": 1
    },
    {
      "status": "Exists and Not Identical",
      "policyName": "NSAT All-Inclusive With Audit",
      "outboundPolicyId": "313",
      "isOutbound": false,
      "policyId": "314",
      "import": "UNCHECKED",
      "type": 1
    },
    {
      "status": "Exists and Not Identical",
      "policyName": "NSAT AIWA Filtered",
      "outboundPolicyId": "310",
      "isOutbound": false,
      "policyId": "311",
      "import": "UNCHECKED",
      "type": 1
    }
  ]
} 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1105 Invalid domain
2 400 5301 Invalid file type given for import
3 500 5302 Policy version not supported
4 500 5303 Unable to read file
5 500 5304 Unable to transfer file
6 400 5305 The policy given to import is not present in the file
7 400 5306 The policy given to import is not importable
8 500 5307 Policy import failed.. Please look into the logs..
9 500 2202 Input stream read error